Bug 799525 - Flat ODF files support requires xsltfilter package, but packagekit doesn't know that
Flat ODF files support requires xsltfilter package, but packagekit doesn't kn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 16:20 EST by Kyle Strickland
Modified: 2012-03-09 19:21 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-8.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 19:21:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Strickland 2012-03-02 16:20:48 EST
Description of problem:

I am migrating from Ubuntu to Fedora and I had created some .fodt files there with LibreOffice.  When using LibreOffice on Fedora 16, those files seem to be unsupported.  The icons in Nautilus show up correctly as associated with LibreOffice, but they open as raw XML or as a math formula file.  Also, if I create a new file in Writer, there is no option to save it as a Flat ODF file type.

Version-Release number of selected component (if applicable):

libreoffice-3.4.5.2-5.fc16.i686

How reproducible:


Steps to Reproduce:

1. Create a .fodt file with Ubuntu's LibreOffice (or perhaps the rpms from LibreOffice's site?)

2. Try to open that .fodt file.

 -OR-

1. Create a new file with Writer.

2. From the file save menu, check the file format drop-down to see if "Flat ODF" is in there.
  
Actual results:

The file does not open properly. / The "Flat ODF" format is not in the drop-down.

Expected results:

The file should open properly. / The "Flat ODF" format should be in the file format drop-down.
Comment 1 Caolan McNamara 2012-03-06 07:15:06 EST
hmm, do...

yum -y install libreoffice-xsltfilter

that should install them for you.
Comment 2 Caolan McNamara 2012-03-06 07:38:31 EST
we should move the flat format .desktop entries into a .desktop in the xsltfilter package so that clicking on one "would do the right thing" and install that subpackage automatically
Comment 3 Caolan McNamara 2012-03-06 08:02:35 EST
should work better in >= libreoffice-3.4.5.2-8.fc16 when that's pushed to F-16
Comment 4 Fedora Update System 2012-03-07 05:21:53 EST
libreoffice-3.4.5.2-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-8.fc16
Comment 5 Fedora Update System 2012-03-07 22:54:15 EST
Package libreoffice-3.4.5.2-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3267/libreoffice-3.4.5.2-8.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-03-09 19:21:02 EST
libreoffice-3.4.5.2-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.